/*
 * Copyright 2004,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.pluto.portalImpl.om.servlet.impl;

/**
 * Data object holding a mime type setting of the web.xml
 *
 * @author <a href="mailto:cziegeler@apache.org">Carsten Ziegeler</a>
 * 
 * @version CVS $Id: MimeTypeImpl.java 35991 2004-06-07 13:21:42Z cziegeler $
 */
public class MimeTypeImpl  {
    
    private String extension;
    private String mimeType;
    
    /**
     * @return Returns the extension.
     */
    public String getExtension() 
    {
        return extension;
    }
    
    /**
     * @param extension The extension to set.
     */
    public void setExtension(String extension) 
    {
        this.extension = extension;
    }
    
    /**
     * @return Returns the mimeType.
     */
    public String getMimeType() 
    {
        return mimeType;
    }
    
    /**
     * @param mimeType The mimeType to set.
     */
    public void setMimeType(String mimeType) 
    {
        this.mimeType = mimeType;
    }
}
